Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in / Register
Toggle navigation
M
MariaDB
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Analytics
Analytics
CI / CD
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
nexedi
MariaDB
Commits
84c5d22e
Commit
84c5d22e
authored
Jul 03, 2014
by
John Esmet
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
FT-291 Remove the remaining cilk artifacts
parent
c81c06bd
Changes
3
Hide whitespace changes
Inline
Side-by-side
Showing
3 changed files
with
4 additions
and
42 deletions
+4
-42
scripts/tokucilkscreen
scripts/tokucilkscreen
+0
-19
src/tests/test.h
src/tests/test.h
+2
-9
util/sort.h
util/sort.h
+2
-14
No files found.
scripts/tokucilkscreen
deleted
100755 → 0
View file @
c81c06bd
#!/usr/bin/env bash
# exit 1 if cilkscreen finds errors
function
cleanup
()
{
if
[
"
$logfile
"
!=
""
]
;
then
rm
$logfile
;
logfile
=
;
fi
}
trap
cleanup SIGINT
logfile
=
$(
mktemp
/tmp/toku_cilkscreen.XXXXXXXX
)
cilkscreen
$*
2>
$logfile
exitcode
=
$?
if
[
$exitcode
=
0
]
;
then
cat
$logfile
>>
/dev/fd/2
grep
"No errors found by Cilkscreen"
$logfile
>
/dev/null 2>&1
exitcode
=
$?
fi
rm
$logfile
exit
$exitcode
\ No newline at end of file
src/tests/test.h
View file @
84c5d22e
...
@@ -494,15 +494,8 @@ static int env_del_multiple_test_no_array(
...
@@ -494,15 +494,8 @@ static int env_del_multiple_test_no_array(
{ int chk_r = (txn)->abort(txn); CKERR(chk_r); } \
{ int chk_r = (txn)->abort(txn); CKERR(chk_r); } \
})
})
int
test_main
(
int
argc
,
char
*
const
argv
[]);
int
test_main
(
int
argc
,
char
*
const
argv
[]);
int
main
(
int
argc
,
char
*
const
argv
[])
{
int
#if defined(__cilkplusplus)
cilk_main
(
int
argc
,
char
*
argv
[])
#else
main
(
int
argc
,
char
*
const
argv
[])
#endif
{
int
r
;
int
r
;
toku_os_initialize_settings
(
1
);
toku_os_initialize_settings
(
1
);
r
=
test_main
(
argc
,
argv
);
r
=
test_main
(
argc
,
argv
);
...
...
util/sort.h
View file @
84c5d22e
...
@@ -94,16 +94,6 @@ PATENT RIGHTS GRANT:
...
@@ -94,16 +94,6 @@ PATENT RIGHTS GRANT:
#include <string.h>
#include <string.h>
#include <memory.h>
#include <memory.h>
#if defined(HAVE_CILK)
#include <cilk/cilk.h>
#define cilk_worker_count (__cilkrts_get_nworkers())
#else
#define cilk_spawn
#define cilk_sync
#define cilk_for for
#define cilk_worker_count 1
#endif
namespace
toku
{
namespace
toku
{
template
<
typename
sortdata_t
,
typename
sortextra_t
,
int
(
*
cmp
)(
sortextra_t
&
,
const
sortdata_t
&
,
const
sortdata_t
&
)>
template
<
typename
sortdata_t
,
typename
sortextra_t
,
int
(
*
cmp
)(
sortextra_t
&
,
const
sortdata_t
&
,
const
sortdata_t
&
)>
...
@@ -147,9 +137,8 @@ namespace toku {
...
@@ -147,9 +137,8 @@ namespace toku {
}
}
const
int
mid
=
n
/
2
;
const
int
mid
=
n
/
2
;
sortdata_t
*
right_as
[
2
]
=
{
&
(
as
[
0
])[
mid
],
&
(
as
[
1
])[
mid
]
};
sortdata_t
*
right_as
[
2
]
=
{
&
(
as
[
0
])[
mid
],
&
(
as
[
1
])[
mid
]
};
const
int
r1
=
cilk_spawn
mergesort_internal
(
as
,
which
,
mid
,
extra
);
const
int
r1
=
mergesort_internal
(
as
,
which
,
mid
,
extra
);
const
int
r2
=
mergesort_internal
(
right_as
,
which
,
n
-
mid
,
extra
);
const
int
r2
=
mergesort_internal
(
right_as
,
which
,
n
-
mid
,
extra
);
cilk_sync
;
if
(
r1
!=
r2
)
{
if
(
r1
!=
r2
)
{
// move everything to the same place (r2)
// move everything to the same place (r2)
memcpy
(
as
[
r2
],
as
[
r1
],
mid
*
(
sizeof
as
[
r2
][
0
]));
memcpy
(
as
[
r2
],
as
[
r1
],
mid
*
(
sizeof
as
[
r2
][
0
]));
...
@@ -221,9 +210,8 @@ namespace toku {
...
@@ -221,9 +210,8 @@ namespace toku {
const
int
a2
=
an
/
2
;
const
int
a2
=
an
/
2
;
const
sortdata_t
*
akey
=
&
a
[
a2
];
const
sortdata_t
*
akey
=
&
a
[
a2
];
const
int
b2
=
binsearch
(
*
akey
,
b
,
bn
,
0
,
extra
);
const
int
b2
=
binsearch
(
*
akey
,
b
,
bn
,
0
,
extra
);
cilk_spawn
merge
(
dest
,
a
,
a2
,
b
,
b2
,
extra
);
merge
(
dest
,
a
,
a2
,
b
,
b2
,
extra
);
merge
(
&
dest
[
a2
+
b2
],
akey
,
an
-
a2
,
&
b
[
b2
],
bn
-
b2
,
extra
);
merge
(
&
dest
[
a2
+
b2
],
akey
,
an
-
a2
,
&
b
[
b2
],
bn
-
b2
,
extra
);
cilk_sync
;
}
}
}
}
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment